<?php

/**
 *  Plugin definition.
 */
$plugin = array(
  'single' => TRUE,
  'title' => t('Infos utilisateurs'),
  'icon' => 'icon_test.png',
  'category' => t('Paris 2013'),
  'defaults' => array(),
  'render callback' => 'panelstalk_paris_2013_content_type_render',
  'required context' => array(
    new ctools_context_optional(t('User ID'), 'user') //@see argument uid.inc @see node.inc
 ),
);

/**
 * Génére le contenu du pane à partir du contexte.
 */
function panelstalk_paris_2013_content_type_render($subtype, $conf, $panel_args, $context) {
  dpm($subtype);
  dpm($conf);
  dpm($panel_args);
  dpm($context);
  // Génération du contenu.
  $items = array();
  for($i = 1; $i < 6; $i++){
    $items[] = t("Ligne d'information !n", array('!n' => $i));
  }
  $block = new stdClass();
  $block->title = t('Infos utilisateur');
  $block->content = array(
   '#items' =>$items,
    '#theme' => 'item_list',
  );
  return $block;
}

/**
 * Titre administratif.
 */
function panelstalk_paris_2013_content_type_admin_title($subtype, $conf) {
  return('Title admin pour exemple Drupal 2013');
}
 /**
 * Configuration.
 */
function panelstalk_paris_2013_content_type_edit_form($form, &$form_state) {
  $form['dummy'] = array(
    '#type' => 'textfield',
    '#title' => t('Un faux réglage qui ne sert à rien.'),
    '#default_value' => (isset($form_state['conf']['dummy']) ? $form_state['conf']['dummy'] : 'coucou'),
  );
  return $form;
}

/**
 * Submit handler.
 */
function panelstalk_paris_2013_content_type_edit_form_submit($form, &$form_state) {
  form_state_values_clean($form_state);
  foreach ($form_state['values'] as $k => $v) {
    if (!empty($form_state['values'][$k])) {
      $form_state['conf'][$k] = $form_state['values'][$k];
    }
  }
}